d3.csv('https://gist.githubusercontent.com/prathyusha-reddy-arch/9ce80fd48f85e732a9f23e708f56e78d/raw/cdc46c033f9f0e858387796cbf21cb3aaed6ab63/Q2-ICE7.csv', 
      function(err, rows){
function unpack(rows, key) {
	return rows.map(function(row)
	{ return row[key]; });}

var trace1 = {
	x:unpack(rows, 'Curedcases'), y: unpack(rows, 'DeadCases'), z: unpack(rows, 'Country'),
	mode: 'markers',
	marker: {
		size: 12,
		line: {
		color: 'rgba(120, 145, 654, 0.14)',
		width: 0.5},
		opacity: 0.8},
	type: 'scatter3d'
};

var trace2 = {
	x:unpack(rows, 'Activecases'), y: unpack(rows, 'DeadCases'), z: unpack(rows, 'Country'),
	mode: 'markers',
	marker: {
		color: 'rgb(145, 192, 100)',
		size: 12,
		symbol: 'circle',
		line: {
		color: 'rgb(100, 100, 100)',
		width: 1},
		opacity: 0.8},
	type: 'scatter3d'};

var data = [trace1, trace2];
var layout = {margin: {
	l: 0,
	r: 0,
	b: 0,
	t: 0
  }};
Plotly.newPlot('myDiv', data, layout);
});
